# characterNameContainer

Field in [LineView](/2.5/api/csharp/yarn.unity/yarn.unity.lineview.md)

## Summary

The gameobject that holds the [characterNameText](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.characternametext.md) textfield.

```csharp
public GameObject characterNameContainer = null;
```

## Remarks

This is needed in situations where the character name is contained within an entirely different game object. Most of the time this will just be the same gameobject as [characterNameText](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.characternametext.md) .


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.characternamecontainer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
